#!/opt/hsdi/qddb/bin/qwish
lappend auto_path $qddb_library/fx

;# [USER-INSERTED CODE]

    set qaddressbook_library LIBRARY_DIR
    set qaddressbook_version 1.7
    lappend auto_path $qaddressbook_library

;# [END USER-INSERTED CODE]
set qddbscript(schema) [Fx:Prologue nxqddb {} "" "" ""]
Fx_Menubar menubar -w .menubar -schema \
	$qddbscript(schema) -array gv_attr -config_dir \
	.nxqddb_config -restrict $qddbscript(trans_name)
set qddbscript(search_entry) [menubar SearchForEntry]
frame .fx; pack .fx -side top -expand on -fill both
frame .fx.f0; pack .fx.f0 -side top -expand on -fill both
set qddbscript_frame .fx.f0
;# [USER-INSERTED CODE]
Qaddressbook:MenuSetup
;# [END USER-INSERTED CODE]
Fx_Frame =Name -w .fx.f0.f0 -side top -attr Name -setschema $qddbscript(schema) 
.fx.f0.f0 configure -relief groove -bd 3
.fx.f0.f0.f_0.l configure -text Name
pack .fx.f0.f0 -expand on -fill x -side top  
frame .fx.f0.f0.f0 ; pack .fx.f0.f0.f0 -side top -expand on -fill both
Fx_Entry =Name.Title -w .fx.f0.f0.f0.e0 -attr Name.Title -setschema $qddbscript(schema) \
	 -searchfor_entry $qddbscript(search_entry) -side left -type Entry -width 4 
.fx.f0.f0.f0.e0 configure -relief flat -bd 0
pack .fx.f0.f0.f0.e0 -expand off -fill none -side left  
=Name configure -focus [=Name.Title GetEntry]
Fx_Entry =Name.First -w .fx.f0.f0.f0.e1 -attr Name.First \
	-side left -type Entry -width 10 
.fx.f0.f0.f0.e1 configure -relief flat -bd 0
pack .fx.f0.f0.f0.e1 -expand off -fill none -side left  
Fx_Entry =Name.Middle -w .fx.f0.f0.f0.e2 -attr Name.Middle \
	-side left -type Entry -width 8 
.fx.f0.f0.f0.e2 configure -relief flat -bd 0
pack .fx.f0.f0.f0.e2 -expand off -fill none -side left  
Fx_Entry =Name.Last -w .fx.f0.f0.f0.e3 -attr Name.Last \
	-side left -type Entry -width 15 
.fx.f0.f0.f0.e3 configure -relief flat -bd 0
pack .fx.f0.f0.f0.e3 -expand on -fill x -side left  
Fx_Frame =Address -w .fx.f0.f1 -attr Address -side top 
.fx.f0.f1 configure -relief groove -bd 3
pack .fx.f0.f1 -expand on -fill x -side top  
frame .fx.f0.f1.f1 ; pack .fx.f0.f1.f1 -side top -expand on -fill both
Fx_Entry =Address.Street -w .fx.f0.f1.f1.t4 -attr Address.Street \
	-side left -type Text -width 20 -height 4 
.fx.f0.f1.f1.t4 configure -relief flat -bd 0
pack .fx.f0.f1.f1.t4 -expand on -fill x -side top  
=Address configure -focus [=Address.Street GetEntry]
frame .fx.f0.f1.f6 ; pack .fx.f0.f1.f6 -side top -expand on -fill x
.fx.f0.f1.f6 configure -relief flat -bd 0
Fx_Entry =Address.City -w .fx.f0.f1.f6.e6 -attr Address.City \
	-side left -type Entry -width 20 
.fx.f0.f1.f6.e6 configure -relief flat -bd 0
pack .fx.f0.f1.f6.e6 -expand on -fill x -side left  
Fx_Entry =Address.State -w .fx.f0.f1.f6.e7 -attr Address.State \
	-side left -type Entry -width 3 
.fx.f0.f1.f6.e7 configure -relief flat -bd 0
pack .fx.f0.f1.f6.e7 -expand off -fill none -side left  
Fx_Entry =Address.Zip -w .fx.f0.f1.f6.e8 -attr Address.Zip \
	-side left -type Entry -width 10 
.fx.f0.f1.f6.e8 configure -relief flat -bd 0
pack .fx.f0.f1.f6.e8 -expand on -fill x -side left  
frame .fx.f0.f1.f10 ; pack .fx.f0.f1.f10 -side top -expand on -fill x
.fx.f0.f1.f10 configure -relief flat -bd 0
Fx_Entry =Address.Country -w .fx.f0.f1.f10.e10 -attr Address.Country \
	-side left -type Entry -width 15 
.fx.f0.f1.f10.e10 configure -relief flat -bd 0
pack .fx.f0.f1.f10.e10 -expand on -fill x -side left  
Fx_Frame =Phone -w .fx.f0.f2 -attr Phone -side top 
.fx.f0.f2 configure -relief groove -bd 3
pack .fx.f0.f2 -expand on -fill x -side top  
frame .fx.f0.f2.f2 ; pack .fx.f0.f2.f2 -side top -expand on -fill both
Fx_Entry =Phone.Desc -w .fx.f0.f2.f2.e11 -attr Phone.Desc \
	-side left -type Entry -width 15 
.fx.f0.f2.f2.e11 configure -relief flat -bd 0
pack .fx.f0.f2.f2.e11 -expand on -fill x -side left  
=Phone configure -focus [=Phone.Desc GetEntry]
Fx_Entry =Phone.AreaCode -w .fx.f0.f2.f2.e12 -attr Phone.AreaCode \
	-side left -type Entry -width 5 
.fx.f0.f2.f2.e12 configure -relief flat -bd 0
pack .fx.f0.f2.f2.e12 -expand off -fill none -side left  
Fx_Entry =Phone.Number -w .fx.f0.f2.f2.e13 -attr Phone.Number \
	-side left -type Entry -width 12 
.fx.f0.f2.f2.e13 configure -relief flat -bd 0
pack .fx.f0.f2.f2.e13 -expand off -fill none -side left  
frame .fx.f0.f3 ; pack .fx.f0.f3 -side top -expand on -fill both
.fx.f0.f3 configure -relief groove -bd 3
pack .fx.f0.f3 -expand on -fill x -side top  
frame .fx.f0.f3.f3 ; pack .fx.f0.f3.f3 -side top -expand on -fill both
Fx_Entry =Email -w .fx.f0.f3.f3.e14 -attr Email \
	-side left -type Entry -width 15 
.fx.f0.f3.f3.e14 configure -relief flat -bd 0
pack .fx.f0.f3.f3.e14 -expand on -fill x -side left  
frame .fx.f0.f3.f16 ; pack .fx.f0.f3.f16 -side top -expand on -fill x
.fx.f0.f3.f16 configure -relief flat -bd 0
Fx_Entry =Homepage -w .fx.f0.f3.f16.e16 -attr Homepage \
	-side left -type Entry -width 30 
.fx.f0.f3.f16.e16 configure -relief flat -bd 0
.fx.f0.f3.f16.e16.f_0.l configure -text {Home page}
pack .fx.f0.f3.f16.e16 -expand on -fill x -side left  
frame .fx.f5 ; pack .fx.f5 -side top -expand on -fill x
.fx.f5 configure -relief flat -bd 0
NoteBook .fx.f5.nb0 -bd 2
pack .fx.f5.nb0 -side top -expand on -fill x
pack .fx.f5.nb0 -expand on -fill x -side left  
.fx.f5.nb0 insert end tab0 -text {Personal Info}
frame [.fx.f5.nb0 getframe tab0].f18 ; pack [.fx.f5.nb0 getframe tab0].f18 -side top -expand on -fill both
frame [.fx.f5.nb0 getframe tab0].f18.f18 ; pack [.fx.f5.nb0 getframe tab0].f18.f18 -side top -expand on -fill both
[.fx.f5.nb0 getframe tab0].f18.f18 configure -relief groove -bd 3
pack [.fx.f5.nb0 getframe tab0].f18.f18 -expand on -fill x -side top  
frame [.fx.f5.nb0 getframe tab0].f18.f18.f0 ; pack [.fx.f5.nb0 getframe tab0].f18.f18.f0 -side top -expand on -fill both
Fx_Entry =Sex -w [.fx.f5.nb0 getframe tab0].f18.f18.f0.r0 -attr Sex \
	-side left -type Radiobutton \
	-default_values { {Male} {Female} {Unknown} }
[.fx.f5.nb0 getframe tab0].f18.f18.f0.r0 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab0].f18.f18.f0.r0 -expand off -fill none -side left  
set qddbscript_frame [.fx.f5.nb0 getframe tab0].f18.f18.f0
;# [USER-INSERTED CODE]

        [=Sex cget -w].e.t.r0 configure -text M
        [=Sex cget -w].e.t.r1 configure -text F
        [=Sex cget -w].e.t.r2 configure -text "?"
    
;# [END USER-INSERTED CODE]
Fx_Entry =Relation -w [.fx.f5.nb0 getframe tab0].f18.f18.f0.r1 -attr Relation \
	-side left -type Radiobutton \
	-default_values { {Relative} {Friend} {Colleague} {Business} {Other} }
[.fx.f5.nb0 getframe tab0].f18.f18.f0.r1 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab0].f18.f18.f0.r1 -expand off -fill none -side left  
frame [.fx.f5.nb0 getframe tab0].f18.f18.f3 ; pack [.fx.f5.nb0 getframe tab0].f18.f18.f3 -side top -expand on -fill x
[.fx.f5.nb0 getframe tab0].f18.f18.f3 configure -relief flat -bd 0
Fx_Entry =Hobbies -w [.fx.f5.nb0 getframe tab0].f18.f18.f3.e3 -attr Hobbies \
	-side left -type Entry -width 15 
[.fx.f5.nb0 getframe tab0].f18.f18.f3.e3 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab0].f18.f18.f3.e3 -expand on -fill x -side left  
Fx_Entry =BirthMonth -w [.fx.f5.nb0 getframe tab0].f18.f18.f3.e4 -attr BirthMonth \
	-side left -type Entry -width 2 
[.fx.f5.nb0 getframe tab0].f18.f18.f3.e4 configure -relief flat -bd 0
[.fx.f5.nb0 getframe tab0].f18.f18.f3.e4.f_0.l configure -text Month
pack [.fx.f5.nb0 getframe tab0].f18.f18.f3.e4 -expand off -fill none -side left  
Fx_Entry =BirthDay -w [.fx.f5.nb0 getframe tab0].f18.f18.f3.e5 -attr BirthDay \
	-side left -type Entry -width 2 
[.fx.f5.nb0 getframe tab0].f18.f18.f3.e5 configure -relief flat -bd 0
[.fx.f5.nb0 getframe tab0].f18.f18.f3.e5.f_0.l configure -text Day
pack [.fx.f5.nb0 getframe tab0].f18.f18.f3.e5 -expand off -fill none -side left  
Fx_Entry =BirthYear -w [.fx.f5.nb0 getframe tab0].f18.f18.f3.e6 -attr BirthYear \
	-side left -type Entry -width 4 
[.fx.f5.nb0 getframe tab0].f18.f18.f3.e6 configure -relief flat -bd 0
[.fx.f5.nb0 getframe tab0].f18.f18.f3.e6.f_0.l configure -text Year
pack [.fx.f5.nb0 getframe tab0].f18.f18.f3.e6 -expand off -fill none -side left  
set qddbscript_frame [.fx.f5.nb0 getframe tab0].f18.f18.f3
;# [USER-INSERTED CODE]

        set child [=BirthYear cget -w]
        set parent [winfo parent $child]
        pack [label $parent.l -text "Age"] -side left
        pack [entry $parent.e -textvariable gv_age -width 3 -state disabled] \
                -side left
    
;# [END USER-INSERTED CODE]
frame [.fx.f5.nb0 getframe tab0].f18.f18.f8 ; pack [.fx.f5.nb0 getframe tab0].f18.f18.f8 -side top -expand on -fill x
[.fx.f5.nb0 getframe tab0].f18.f18.f8 configure -relief flat -bd 0
Fx_Entry =Comments -w [.fx.f5.nb0 getframe tab0].f18.f18.f8.t8 -attr Comments \
	-side left -type Text -width 30 -height 8 
[.fx.f5.nb0 getframe tab0].f18.f18.f8.t8 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab0].f18.f18.f8.t8 -expand on -fill x -side top  
set qddbscript_frame [.fx.f5.nb0 getframe tab0].f18.f18.f8
;# [USER-INSERTED CODE]
pack [=Comments cget -w].f_0 -side top -anchor nw
;# [END USER-INSERTED CODE]
.fx.f5.nb0 insert end tab1 -text Work
frame [.fx.f5.nb0 getframe tab1].f20 ; pack [.fx.f5.nb0 getframe tab1].f20 -side top -expand on -fill both
Fx_Frame =Work -w [.fx.f5.nb0 getframe tab1].f20.f20 -attr Work -side top 
[.fx.f5.nb0 getframe tab1].f20.f20 configure -relief groove -bd 3
pack [.fx.f5.nb0 getframe tab1].f20.f20 -expand on -fill x -side top  
frame [.fx.f5.nb0 getframe tab1].f20.f20.f1 ; pack [.fx.f5.nb0 getframe tab1].f20.f20.f1 -side top -expand on -fill both
Fx_Entry =Work.JobTitle -w [.fx.f5.nb0 getframe tab1].f20.f20.f1.e9 -attr Work.JobTitle \
	-side left -type Entry -width 10 
[.fx.f5.nb0 getframe tab1].f20.f20.f1.e9 configure -relief flat -bd 0
[.fx.f5.nb0 getframe tab1].f20.f20.f1.e9.f_0.l configure -text Title/Occupation
pack [.fx.f5.nb0 getframe tab1].f20.f20.f1.e9 -expand on -fill x -side left  
=Work configure -focus [=Work.JobTitle GetEntry]
Fx_Entry =Work.Occupation -w [.fx.f5.nb0 getframe tab1].f20.f20.f1.e10 -attr Work.Occupation \
	-side left -type Entry -width 10 
[.fx.f5.nb0 getframe tab1].f20.f20.f1.e10 configure -relief flat -bd 0
[.fx.f5.nb0 getframe tab1].f20.f20.f1.e10.f_0.l configure -text /
pack [.fx.f5.nb0 getframe tab1].f20.f20.f1.e10 -expand on -fill x -side left  
frame [.fx.f5.nb0 getframe tab1].f20.f20.f12 ; pack [.fx.f5.nb0 getframe tab1].f20.f20.f12 -side top -expand on -fill x
[.fx.f5.nb0 getframe tab1].f20.f20.f12 configure -relief flat -bd 0
Fx_Entry =Work.Name -w [.fx.f5.nb0 getframe tab1].f20.f20.f12.e12 -attr Work.Name \
	-side left -type Entry -width 10 
[.fx.f5.nb0 getframe tab1].f20.f20.f12.e12 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab1].f20.f20.f12.e12 -expand on -fill x -side left  
frame [.fx.f5.nb0 getframe tab1].f20.f20.f14 ; pack [.fx.f5.nb0 getframe tab1].f20.f20.f14 -side top -expand on -fill x
[.fx.f5.nb0 getframe tab1].f20.f20.f14 configure -relief flat -bd 0
Fx_Frame =Work.Address -w [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14 -attr Work.Address -side top 
[.fx.f5.nb0 getframe tab1].f20.f20.f14.f14 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14 -expand on -fill x -side top  
frame [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f0 ; pack [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f0 -side top -expand on -fill both
Fx_Entry =Work.Address.Street -w [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f0.t0 -attr Work.Address.Street \
	-side left -type Text -width 30 -height 4 
[.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f0.t0 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f0.t0 -expand on -fill x -side left  
=Work.Address configure -focus [=Work.Address.Street GetEntry]
frame [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2 ; pack [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2 -side top -expand on -fill x
[.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2 configure -relief flat -bd 0
Fx_Entry =Work.Address.City -w [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2.e2 -attr Work.Address.City \
	-side left -type Entry -width 15 
[.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2.e2 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2.e2 -expand on -fill x -side left  
Fx_Entry =Work.Address.State -w [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2.e3 -attr Work.Address.State \
	-side left -type Entry -width 2 
[.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2.e3 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2.e3 -expand off -fill none -side left  
Fx_Entry =Work.Address.Zip -w [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2.e4 -attr Work.Address.Zip \
	-side left -type Entry -width 10 
[.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2.e4 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab1].f20.f20.f14.f14.f2.e4 -expand off -fill none -side left  
frame [.fx.f5.nb0 getframe tab1].f20.f20.f16 ; pack [.fx.f5.nb0 getframe tab1].f20.f20.f16 -side top -expand on -fill x
[.fx.f5.nb0 getframe tab1].f20.f20.f16 configure -relief flat -bd 0
Fx_Entry =Work.Comments -w [.fx.f5.nb0 getframe tab1].f20.f20.f16.e16 -attr Work.Comments \
	-side left -type Entry -width 40 
[.fx.f5.nb0 getframe tab1].f20.f20.f16.e16 configure -relief flat -bd 0
pack [.fx.f5.nb0 getframe tab1].f20.f20.f16.e16 -expand on -fill x -side left  
frame [.fx.f5.nb0 getframe tab1].f20.f20.f18 ; pack [.fx.f5.nb0 getframe tab1].f20.f20.f18 -side top -expand on -fill x
[.fx.f5.nb0 getframe tab1].f20.f20.f18 configure -relief flat -bd 0
.fx.f5.nb0 raise tab0
.fx.f5.nb0 compute_size
Fx:Epilogue
set qddbscript_frame .fx.f5
;# [USER-INSERTED CODE]
Qaddressbook:Bindings
;# [END USER-INSERTED CODE]
	[=Name.Title cget -w].f_0.l configure -width 10
	[=Address.Street cget -w].f_0.l configure -width 10
	[=Address.City cget -w].f_0.l configure -width 10
	[=Address.Country cget -w].f_0.l configure -width 10
	[=Phone.Desc cget -w].f_0.l configure -width 10
	[=Email cget -w].f_0.l configure -width 10
	[=Homepage cget -w].f_0.l configure -width 10
	[=Sex cget -w].f_0.l configure -width 10
	[=Hobbies cget -w].f_0.l configure -width 10

