#!QTCLSH
#
# Copyright (C) 1997 Herrin Software Development, Inc.
# All rights reserved.
#
# This file is part of Qaddressbook

if {$argc == 0} {
    puts "Usage: $argv0 <RelationName>"
    exit 1
} elseif {[string compare [string index [lindex $argv 0] 0] "-"] == 0} {
    puts "Usage: $argv0 RelationName"
    exit 1
} else {
    set qaddressbookname [lindex $argv 0]
}
if {[catch "exec qnewdb $qaddressbookname"] != 0} {
    puts "Qaddressbook database \"$qaddressbookname\" creation failed!"
    exit 1
}
file copy -force LIBRARY_DIR/Schema $qaddressbookname/Schema
file copy -force LIBRARY_DIR/QddbScript $qaddressbookname/QddbScript
file copy -force LIBRARY_DIR/ExcludeWords $qaddressbookname/ExcludeWords
puts "Qaddressbook database \"$qaddressbookname\" successfully created."
exit 0

